@import url(/global/components/buttons.css);
@import url(/global/components/check-box.css);
@import url(/global/components/toggle_gray_component.css);
@import url(/global/components/checkbox-section.css);
@import url(/global/components/product-features-section.css);


@import url(/global/components/videobox-section.css);
@import url(/global/components/section.css);
@import url(./../../global/components/image-slider/image-slider.css);
@import url(./../../global/components/Details/Details.css);

[data-view="craft"] .main__inner .section.section--hero {
  background-image: url(../../../global/assets/images/craft_hero.jpg);
  background-position-x: left;
}

.section.section--hero .section__content .section__text-container {
  right: 128px;
  left: auto;
}

.section__content-wrapper {
  padding: 96px 32px 80px;
}

[data-view="craft"] .main__inner .section__slider-wrapper {
  max-width: var(--content-width);
  margin: 0 auto;
  padding: 0 112px 96px;
}

[data-view="craft"] .main__inner .section__slider-wrapper .slider-text {
  display: none;
}

[data-view="craft"] .disturber-button {
  background-color: var(--color-craft002);
  box-shadow: 0 0 0 0 var(--color-craft002);
  transform: scale(1);
}


@media only screen and (max-width: 768px) {
  [data-view="craft"] .main__inner .section.section--hero.section--products {
    background-image: url(../../../global/assets/images/craft.jpg);
  }

  .section__content-wrapper {
  padding: 48px 32px;
}

  .section.section--hero .section__content .section__text-container {
    right: 0;
  }

  [data-view="craft"] .main__inner .section__slider-wrapper {
  padding: 0 32px 48px;
}
}


/* Puls-Animation Disturber*/
@keyframes pulse {
  0% {
    transform: scale(1);
    box-shadow: 0 0 0 0 var(--color-craft002);
  }

  70% {
    transform: scale(1.3);
    box-shadow: 0 0 0 10px #ee8b0000;
  }

  100% {
    transform: scale(1);
    box-shadow: 0 0 0 0 #ee8b0000;
  }
}

/* Kein Dauer-Puls mehr */
[data-view="craft"] .disturber-button {
  background-color: var(--color-craft002);
  box-shadow: 0 0 0 0 var(--color-craft002);
  transform: scale(1);
}

/* Klasse zum Aktivieren des Pulsierens */
.pulsing {
  animation: pulse 0.75s 3;
  /* 3 Wiederholungen */
}